Subject: Re: [BUG] net_cls: Panic occured when net_cls subsystem use

From: Jarek Poplawski <[email-masked]>
Date: Sun, 31 May 2009 23:12:52 +0200

On Sun, May 31, 2009 at 09:43:47AM -0400, jamal wrote:
> On Sun, 2009-05-31 at 09:24 -0400, jamal wrote:
> 
> > This would imply the classifier is buggy. I will stare at the different
> > classifier - and if any exhibits such traits it needs to be fixed
> 
> I couldnt find any case where this is possible in the current code. If
> you have a specific example, we need to fix it.

I'm almost sure these commands (right or wrong) can trigger such a leak:

$ sudo tc qdisc add dev lo root handle 1: htb
$ sudo tc filter add dev lo proto ip pref 1 handle 800::1 u32 match u32 0 0 classid 1:1
$ sudo tc filter add dev lo proto ip pref 2 handle 800::1 u32 match u32 0 0 classid 1:1
RTNETLINK answers: File exists

Cheers,
Jarek P.